path: /build/build/pigz-app-arch-2.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-static -test" emerge app-arch/pigz -pv -t && \
    USE="-static -test" emerge -j ${JOBS} --nodeps app-arch/pigz
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pigz && luet-portage --dir /pkgdir/pigz
    app-arch/pigz && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b919fecc8cd38ec06ba566a38c7dac215a6234742cb684bde2114b8d8a271976
  package:
    name: pigz
    version: 2.4+1
    category: app-arch
    use_flags:
    - -static
    - -test
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A parallel implementation of gzip
    uri:
    - http://www.zlib.net/pigz/
    license: ZLIB
    buildtimestamp: 2024-02-22 08:17:50.85715788 +0000 UTC m=+130.695920918
    labels:
      DEPEND: '!static? ( sys-libs/zlib ) static? ( sys-libs/zlib[static-libs(+)]
        ) test? ( app-arch/ncompress )'
      IUSE: static symlink test
      RDEPEND: '!static? ( sys-libs/zlib )'
      emerge.packages: app-arch/pigz
      kit: core-kit
      original.package.name: app-arch/pigz
      original.package.slot: "0"
      original.package.version: "2.4"
    treedir: /build/packages
  package_dir: /pkgdir/pigz
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 03e9558511bbca3475bd06fd0b1e804c0c3744090f8337fb8e7627330a7b7d0d
compressiontype: zstd
files:
- usr/bin/pigz
- usr/bin/unpigz
- usr/share/doc/pigz-2.4/README.bz2
- usr/share/man/man1/pigz.1.bz2
- var/db/pkg/app-arch/pigz-2.4/BUILD_TIME
- var/db/pkg/app-arch/pigz-2.4/CATEGORY
- var/db/pkg/app-arch/pigz-2.4/CBUILD
- var/db/pkg/app-arch/pigz-2.4/CFLAGS
- var/db/pkg/app-arch/pigz-2.4/CHOST
- var/db/pkg/app-arch/pigz-2.4/CONTENTS
- var/db/pkg/app-arch/pigz-2.4/COUNTER
- var/db/pkg/app-arch/pigz-2.4/CXXFLAGS
- var/db/pkg/app-arch/pigz-2.4/DEFINED_PHASES
- var/db/pkg/app-arch/pigz-2.4/DEPEND
- var/db/pkg/app-arch/pigz-2.4/DESCRIPTION
- var/db/pkg/app-arch/pigz-2.4/EAPI
- var/db/pkg/app-arch/pigz-2.4/FEATURES
- var/db/pkg/app-arch/pigz-2.4/HOMEPAGE
- var/db/pkg/app-arch/pigz-2.4/INHERITED
- var/db/pkg/app-arch/pigz-2.4/IUSE
- var/db/pkg/app-arch/pigz-2.4/IUSE_EFFECTIVE
- var/db/pkg/app-arch/pigz-2.4/KEYWORDS
- var/db/pkg/app-arch/pigz-2.4/LDFLAGS
- var/db/pkg/app-arch/pigz-2.4/LICENSE
- var/db/pkg/app-arch/pigz-2.4/NEEDED
- var/db/pkg/app-arch/pigz-2.4/PF
- var/db/pkg/app-arch/pigz-2.4/RDEPEND
- var/db/pkg/app-arch/pigz-2.4/REQUIRES
- var/db/pkg/app-arch/pigz-2.4/SIZE
- var/db/pkg/app-arch/pigz-2.4/SLOT
- var/db/pkg/app-arch/pigz-2.4/USE
- var/db/pkg/app-arch/pigz-2.4/environment.bz2
- var/db/pkg/app-arch/pigz-2.4/pigz-2.4.ebuild
- var/db/pkg/app-arch/pigz-2.4/repository
package_cacheimage: ""
runtime:
  name: pigz
  version: 2.4+1
  category: app-arch
  use_flags:
  - -static
  - -test
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A parallel implementation of gzip
  uri:
  - http://www.zlib.net/pigz/
  license: ZLIB
  labels:
    DEPEND: '!static? ( sys-libs/zlib ) static? ( sys-libs/zlib[static-libs(+)] )
      test? ( app-arch/ncompress )'
    IUSE: static symlink test
    RDEPEND: '!static? ( sys-libs/zlib )'
    emerge.packages: app-arch/pigz
    kit: core-kit
    original.package.name: app-arch/pigz
    original.package.slot: "0"
    original.package.version: "2.4"
